## IdeDebuggerThreadGroup IdeDebuggerThreadGroup |

## Functions

gint | ide_debugger_thread_group_compare ()
IdeDebuggerThreadGroup * | ide_debugger_thread_group_new ()
const gchar * | ide_debugger_thread_group_get_id ()
const gchar * | ide_debugger_thread_group_get_pid ()
void | ide_debugger_thread_group_set_pid ()
const gchar * | ide_debugger_thread_group_get_exit_code ()
void | ide_debugger_thread_group_set_exit_code ()

## Properties

gchar * | exit-code | Read / Write
gchar * | id | Read / Write / Construct Only
gchar * | pid | Read / Write

## Types and Values

#define | IDE_TYPE_DEBUGGER_THREAD_GROUP
struct | IdeDebuggerThreadGroupClass
| IdeDebuggerThreadGroup

## Object Hierarchy

        GObject
        ╰── IdeDebuggerThreadGroup

## Description

## Functions

### ide_debugger_thread_group_compare ()

    gint
    ide_debugger_thread_group_compare (IdeDebuggerThreadGroup *a,
                                       IdeDebuggerThreadGroup *b);

### ide_debugger_thread_group_new ()

    IdeDebuggerThreadGroup *
    ide_debugger_thread_group_new (const gchar *id);

### ide_debugger_thread_group_get_id ()

    const gchar *
    ide_debugger_thread_group_get_id (IdeDebuggerThreadGroup *self);

### ide_debugger_thread_group_get_pid ()

    const gchar *
    ide_debugger_thread_group_get_pid (IdeDebuggerThreadGroup *self);

### ide_debugger_thread_group_set_pid ()

    void
    ide_debugger_thread_group_set_pid (IdeDebuggerThreadGroup *self,
                                       const gchar *pid);

### ide_debugger_thread_group_get_exit_code ()

    const gchar *
    ide_debugger_thread_group_get_exit_code
                                   (IdeDebuggerThreadGroup *self);

### ide_debugger_thread_group_set_exit_code ()

    void
    ide_debugger_thread_group_set_exit_code
                                   (IdeDebuggerThreadGroup *self,
                                    const gchar *exit_code);

## Types and Values

### IDE_TYPE_DEBUGGER_THREAD_GROUP

    #define IDE_TYPE_DEBUGGER_THREAD_GROUP (ide_debugger_thread_group_get_type())

### struct IdeDebuggerThreadGroupClass

    struct IdeDebuggerThreadGroupClass {
      GObjectClass parent_class;
    };

### IdeDebuggerThreadGroup

    typedef struct _IdeDebuggerThreadGroup IdeDebuggerThreadGroup;

## Property Details

### The `“exit-code”` property

      “exit-code”                gchar *

The exit code from the process as a string for portability.

Owner: IdeDebuggerThreadGroup

Flags: Read / Write

Default value: NULL

### The `“id”` property

      “id”                       gchar *

The thread group identifier.

Owner: IdeDebuggerThreadGroup

Flags: Read / Write / Construct Only

Default value: NULL

### The `“pid”` property

      “pid”                      gchar *

The pid of the thread group.

Owner: IdeDebuggerThreadGroup

Flags: Read / Write

Default value: NULL